# -*- coding: utf-8 -*-
import sys
import get_week
from workflow import Workflow
from requests.exceptions import ConnectionError


def main(wf):
    num = None
    subtt = u''

    try:
        num = str(get_week.get_week())
        title = u'Épp {}.'
        subtt = u'hét van!'

        if int(num) == 14:
            title = u'Póthét ({}. hét)'
            subtt = u'van!'
        if int(num) > 14:
            title = u'Vizsgaidőszak ({}. hét)'
            subtt = u'van!'

        title = title.format(num)

    except ConnectionError:
        title = u'Nincs internet!'
    except (IndexError, RuntimeError):
        title = u'A KTH összebarmolta a honlapját!'
    except EnvironmentError:
        title = u'Nyár van, nyugi!'

    wf.add_item(title=title, subtitle=subtt, arg=num, valid=True)
    wf.send_feedback()


if __name__ == '__main__':
    wf = Workflow()
    sys.exit(wf.run(main))
